Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "17254ccc-126a-4c36-89d3-78eee92b99c6",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "0d5ac8ad-ea25-4b32-b37a-c0ec077b029e",
"company_code": "sample string 5",
"company": {
"id": "42e87a89-8701-42cb-81c4-429e3d466dbf",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-19T07:29:07.1863543+00:00",
"sales_territory_id": "72ad9fc8-ade8-4570-aa70-d712b604a970",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2362d7a0-cec5-422b-90d0-4b6df7792c86",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2568fb50-4cb5-4545-a75c-48a32f7bf8f3",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8ce231d2-9ad8-4703-a26c-3707c15cfdb8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "72a965cb-0df7-4b82-95b0-1778023992d4",
"db_currency_id": "e9ca36d2-eb84-43f5-906a-5e136356fb4c",
"db_language_id": "c7c4c64d-0428-431c-9244-d42477d974e9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00"
},
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00"
},
"marketing_segment_id": "f10279f3-8c4b-4a2b-8e6d-815e38440cc7",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "4030215c-32a8-4965-8e75-81009b690c9c",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "bc93b2af-e4e6-4afe-b702-3b7f69e8cf06",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "93f5fb0f-0632-46b0-990f-8ca4e1065b8e",
"db_country_code": "sample string 28",
"feelist_id": "3ca14fac-442e-4064-aff2-67d44c18283a",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "454517df-7eea-44b0-b628-ce9dba974c7b",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "da62abb6-956c-403a-be7f-65384c8df7c6",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00",
"db_currency_id": "88cbf4c1-9d08-4d86-8cc2-c44fd39e65d2",
"db_currency_code": "sample string 10"
},
"company_type_id": "f1b676da-4312-4ab2-b5e4-d93563deab77",
"company_type_name": "sample string 32",
"company_type": {
"id": "2f9632ec-164d-4972-8394-f1b822626b7a",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "fc2984ab-c078-4651-a176-2a259587edd7",
"sales_organization_code": "sample string 5"
},
"db_language_id": "36615a2c-33f8-43fc-b13b-7418d9152ad9",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "2dff2c49-0797-44f2-bebd-02c8d5cee99d",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "a6a2fe65-6467-484e-9c2f-7534bcfcca30",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "faee47f6-1719-462f-bb56-17b67002600d",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00"
},
"company_sector_id": "3931351c-7834-4d56-9350-4a3bdb62816d",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "c64140d1-2b84-4429-9a00-6a44f633df8d",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "5b53f5d4-2fbe-486e-8e23-5fea480e30e3",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "db9834a3-7046-4ae8-a236-4a12b4f36b79",
"account_manager_user_code": "sample string 56",
"company_status_id": "5b1f3738-ba20-43b1-a52e-f31393316357",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00",
"id2": 60
},
"db_language_id": "bfdc20e2-ec38-4e93-8461-2f750803a2a6",
"db_language_code": "sample string 7",
"db_title_id": "77cdb034-8db7-4912-8ed3-acc33af4127d",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-19T07:29:07.1863543+00:00",
"create_date": "2026-10-19T07:29:07.1863543+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-19T07:29:07.1863543+00:00"
}